package com.qmth.sop.business.bean.result;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.sop.common.enums.ProductTypeEnum;
import com.qmth.sop.common.enums.ServiceStatusEnum;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Description: 服务单元管理查询结果
 * @Author: CaoZixuan
 * @Date: 2023-08-08
 */
public class ServiceUnitResult {
    @ApiModelProperty("服务单元id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    @ApiModelProperty(value = "服务单元名称")
    private String name;

    @ApiModelProperty(value = "开始时间")
    private Long startTime;

    @ApiModelProperty(value = "结束时间")
    private Long endTime;

    @ApiModelProperty(value = "类型，OFFICE：教务处，CLOUD_MARK：研究生")
    private ProductTypeEnum type;

    @ApiModelProperty(value = "服务单元负责人id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long serviceLeadId;

    @ApiModelProperty(value = "服务单元负责人名称")
    private String serviceLeadName;

    @ApiModelProperty(value = "区域协调人数量")
    private Integer regionPeopleCount;

    @ApiModelProperty(value = "区域项目数量")
    private Integer regionProjectCount;

    @ApiModelProperty(value = "区域配比")
    private String rate;

    @ApiModelProperty(value = "状态，NEW：新建，PUBLISH：已发布，FINISH：已完结，CANCEL：已作废")
    private ServiceStatusEnum status;

    @ApiModelProperty(value = "创建人")
    private String creatorName;

    @ApiModelProperty(value = "创建时间")
    private Long createTime;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Long getStartTime() {
        return startTime;
    }

    public void setStartTime(Long startTime) {
        this.startTime = startTime;
    }

    public Long getEndTime() {
        return endTime;
    }

    public void setEndTime(Long endTime) {
        this.endTime = endTime;
    }

    public ProductTypeEnum getType() {
        return type;
    }

    public void setType(ProductTypeEnum type) {
        this.type = type;
    }

    public Long getServiceLeadId() {
        return serviceLeadId;
    }

    public void setServiceLeadId(Long serviceLeadId) {
        this.serviceLeadId = serviceLeadId;
    }

    public String getServiceLeadName() {
        return serviceLeadName;
    }

    public void setServiceLeadName(String serviceLeadName) {
        this.serviceLeadName = serviceLeadName;
    }

    public Integer getRegionPeopleCount() {
        return regionPeopleCount;
    }

    public void setRegionPeopleCount(Integer regionPeopleCount) {
        this.regionPeopleCount = regionPeopleCount;
    }

    public Integer getRegionProjectCount() {
        return regionProjectCount;
    }

    public void setRegionProjectCount(Integer regionProjectCount) {
        this.regionProjectCount = regionProjectCount;
    }

    public String getRate() {
        return rate;
    }

    public void setRate(String rate) {
        this.rate = rate;
    }

    public ServiceStatusEnum getStatus() {
        return status;
    }

    public void setStatus(ServiceStatusEnum status) {
        this.status = status;
    }

    public String getCreatorName() {
        return creatorName;
    }

    public void setCreatorName(String creatorName) {
        this.creatorName = creatorName;
    }

    public Long getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Long createTime) {
        this.createTime = createTime;
    }
}
